DBPostGISExtractror
Date: 2015-12-03

org.gcube.application.aquamaps.aquamapstransectgenerator.databases

## Class DBPostGISExtractror

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapstransectgenerator.databases.DBPostGISExtractror

-     public class DBPostGISExtractror
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `countryNames`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBPostGISExtractror(java.lang.String cfg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAllInfo(java.lang.String x1, java.lang.String y1, java.lang.String x2, java.lang.String y2, java.lang.String SRID, java.lang.String tableName, java.lang.String fieldName)`
    `java.util.Map<java.lang.String,java.lang.Double>` | `getBioDiversity(java.lang.String bioDivTable, java.lang.String bioDivField, java.util.List<java.lang.String> cSquareCodes)`
    `java.util.Map<java.lang.String,java.lang.Double>` | `getCalculatedBioValues()`
    `java.util.List<java.lang.String>` | `getCSquareCodes(java.lang.String x1, java.lang.String y1, java.lang.String x2, java.lang.String y2, java.lang.String SRID)`
    `SessionFactory` | `getDbSession()`
    `void` | `setDbSession(SessionFactory dbSession)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### countryNames

          public java.util.Map<java.lang.String,java.lang.String> countryNames

  - ### Constructor Detail

    - #### DBPostGISExtractror

          public DBPostGISExtractror(java.lang.String cfg)

  - ### Method Detail

    - #### setDbSession

          public void setDbSession(SessionFactory dbSession)

    - #### getDbSession

          public SessionFactory getDbSession()

    - #### getAllInfo

          public java.util.List<java.lang.String> getAllInfo(java.lang.String x1,
                                                    java.lang.String y1,
                                                    java.lang.String x2,
                                                    java.lang.String y2,
                                                    java.lang.String SRID,
                                                    java.lang.String tableName,
                                                    java.lang.String fieldName)

    - #### getCalculatedBioValues

          public java.util.Map<java.lang.String,java.lang.Double> getCalculatedBioValues()

    - #### getCSquareCodes

          public java.util.List<java.lang.String> getCSquareCodes(java.lang.String x1,
                                                         java.lang.String y1,
                                                         java.lang.String x2,
                                                         java.lang.String y2,
                                                         java.lang.String SRID)

    - #### getBioDiversity

          public java.util.Map<java.lang.String,java.lang.Double> getBioDiversity(java.lang.String bioDivTable,
                                                                         java.lang.String bioDivField,
                                                                         java.util.List<java.lang.String> cSquareCodes)